Jdt (Gradle API 2.14.1)

org.gradle.plugins.ide.eclipse.model

## Class Jdt

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
    - - org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject
      - - org.gradle.plugins.ide.eclipse.model.Jdt

- All Implemented Interfaces:
    GroovyObject, org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject

      public class Jdt
      extends org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject

  Represents the Eclipse JDT settings.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Jdt(org.gradle.api.internal.PropertiesTransformer transformer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getDefaultResourceName()`
    `protected void` | `load(Properties properties)`
    `void` | `setSourceCompatibility(JavaVersion sourceCompatibility)` Sets the source compatibility for the compiler.
    `void` | `setTargetCompatibility(JavaVersion targetCompatibility)` Sets the target compatibility for the compiler.
    `protected void` | `store(Properties properties)`

    - ### Methods inherited from class org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject

      `load, store, transformAction`

    - ### Methods inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject

      `load, loadDefaults, store`

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Jdt

          public Jdt(org.gradle.api.internal.PropertiesTransformer transformer)

  - ### Method Detail

    - #### setSourceCompatibility

          public void setSourceCompatibility(JavaVersion sourceCompatibility)

      Sets the source compatibility for the compiler.

    - #### setTargetCompatibility

          public void setTargetCompatibility(JavaVersion targetCompatibility)

      Sets the target compatibility for the compiler.

    - #### getDefaultResourceName

          protected String getDefaultResourceName()

      Specified by:
        `getDefaultResourceName` in class `org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject`

    - #### load

          protected void load(Properties properties)

      Specified by:
        `load` in class `org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject`

    - #### store

          protected void store(Properties properties)

      Specified by:
        `store` in class `org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject`